<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class PersonalisationAttributeHelper
{

    /**
     * Return tree in format for javascript tree plugin
     *
     * @static
     * @return array
     */
    public static function getTreeJs()
    {
        $tree = PersonalisationAttribute::getTree();
        return $tree['item'];
    }

    /**
     * Return tree in format for javascript tree plugin
     *
     * @param integer $userId id of user
     *
     * @return array
     */
    public static function getTreeWithUserStateJs($userId)
    {
        $tree = PersonalisationAttribute::getTreeWithUserState($userId);
        return $tree['item'];
    }
}
