<?php
/**
 *
 */
?>
<div class="user-user-recovery-password-change-widget">
    <a name="UserRecoveryPasswordChangeWidget"></a>

    <?php if ($message = Yii::app()->user->getFlash('recoveryMessage')): ?>
    <div class="success">
        <?php echo $message; ?>
    </div>
    <?php else: ?>

    <h2><?php echo UserModule::t("Change Password"); ?></h2>

    <?php if (!empty($model)): ?>
        <div class="form">
            <?php $form = $this->beginWidget('CActiveForm', array(
            'id' => 'changepassword-form',
            'method' => 'post',
            'action' => Yii::app()->createUrl('/user/recovery/change', array('return_url' => Yii::app()->request->getParam('return_url', Yii::app()->request->getRequestUri() . '#UserRecoveryPasswordChangeWidget'))),
//            'enableAjaxValidation' => true,
//            'clientOptions' => array(
//                'validateOnSubmit' => true
//            )
        ));?>
            <p class="note"><?php echo UserModule::t('Fields with <span class="required">*</span> are required.'); ?></p>
            <?php echo $form->errorSummary($model); ?>

            <?php echo CHtml::hiddenField('email', $email) ?>
            <?php echo CHtml::hiddenField('activkey', $activkey) ?>

            <div class="row">
                <?php echo $form->labelEx($model, 'password'); ?>
                <?php echo $form->passwordField($model, 'password'); ?>
                <?php echo $form->error($model, 'password'); ?>
                <p class="hint">
                    <?php echo UserModule::t("Minimal password length 4 symbols."); ?>
                </p>
            </div>

            <div class="row">
                <?php echo $form->labelEx($model, 'verifyPassword'); ?>
                <?php echo $form->passwordField($model, 'verifyPassword'); ?>
                <?php echo $form->error($model, 'verifyPassword'); ?>
            </div>

            <div class="row submit">
                <?php echo CHtml::submitButton(UserModule::t("Save")); ?>
            </div>

            <?php $this->endWidget() ?>
        </div>
        <!-- form -->
        <?php else: ?>
        <div><?php echo UserModule::t('Wrong recovery link')?></div>
        <?php endif ?>
    <?php endif?>
</div>